
--- kcoloredit/Makefile.am	10 Jul 2002 04:37:17 -0000	1.1.1.2
+++ kcoloredit/Makefile.am	5 Nov 2002 21:40:58 -0000	1.5
@@ -17,6 +17,11 @@
 kcolorchooser_LDADD = $(LIB_KDEUI)
 kcolorchooser_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
+#lib_LTLIBRARIES = kcolorchooser.la
+#kcolorchooser_la_SOURCES = kcolorchooser.cpp
+#kcolorchooser_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
+#kcolorchooser_la_LDFLAGS = $(all_libraries) -module -avoid-version
+
 noinst_HEADERS = color.h colorselector.h editablestreamhistory.h \
 	gradientselection.h imageselection.h kcoloredit.h kcoloreditdoc.h \
 	kcoloreditview.h kxycolorselector.h kzcolorselector.h \
@@ -25,11 +30,6 @@
 
 lnk_DATA = kcoloredit.desktop kcolorchooser.desktop
 lnkdir = $(kde_appsdir)/Graphics/More
-
-install-data-local: uninstall.desktop
-	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Graphics
-	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Graphics/kcoloredit.desktop 
-	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Graphics/kcolorchooser.desktop
 
 KDE_ICON = kcoloredit kcolorchooser
 
--- kdvi/font.cpp	2 Oct 2002 23:47:07 -0000	1.1.1.4
+++ kdvi/font.cpp	2 Oct 2002 23:55:44 -0000	1.6
@@ -5,6 +5,7 @@
 
 #include <kdebug.h>
 #include <klocale.h>
+#include <sys/types.h>
 #include <qapplication.h>
 #include <qfile.h>
 
--- kghostview/Makefile.am	2 Oct 2002 23:47:21 -0000	1.1.1.2
+++ kghostview/Makefile.am	1 Jun 2003 14:31:58 -0000	1.3
@@ -7,8 +7,9 @@
 
 bin_PROGRAMS = 	kghostview
 kde_module_LTLIBRARIES = libkghostviewpart.la
+lib_LTLIBRARIES = libkghostview_shared.la kghostview.la
 
-libkghostviewpart_la_SOURCES = dscparse.cpp kgv_miniwidget.cpp marklist.cpp \
+libkghostview_shared_la_SOURCES = dscparse.cpp kgv_miniwidget.cpp marklist.cpp \
 	messages.cpp infodialog.cpp gotodialog.cpp kgvshell.cpp kpswidget.cpp \
 	kgvpageview.cpp ps.c kgv_view.cpp scrollbox.cpp  kgvpagedecorator.cpp \
 	kgvconfigdialog.cpp kgvmainwidget.cpp dscparse_adapter.cpp \
@@ -19,12 +20,26 @@
 	kgvpagedecorator.h kgvconfigdialog.h kgvmainwidget.h dscparse.h \
 	dscparse_adapter.h qttableview.h kdscerrordialog.h
 
+kghostview_la_SOURCES = kghostview_la_main.cpp
+kghostview_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+kghostview_la_LIBADD  = libkghostview_shared.la
+
+kghostview_la_main.cpp: main.cpp
+	cat main.cpp > kghostview_la_main.cpp
+
 kghostview_SOURCES = main.cpp
 kghostview_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kghostview_LDADD = libkghostviewpart.la
+kghostview_LDADD = libkghostview_shared.la
+
+libkghostviewpart_la_SOURCES = libkghostviewpart_la_dummy.cpp
+libkghostviewpart_la_LIBADD  = libkghostview_shared.la
+libkghostviewpart_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+
+libkghostviewpart_la_dummy.cpp:
+	echo > libkghostviewpart_la_dummy.cpp
 
-libkghostviewpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-libkghostviewpart_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint
+libkghostview_shared_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -avoid-version -no-undefined
+libkghostview_shared_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint $(LIB_QT) $(LIB_KDECORE) -lkdeui
 
 METASOURCES = AUTO
 EXTRA_DIST = kghostview.desktop 
--- kghostview/kpswidget.cpp	6 May 2003 21:20:48 -0000	1.1.1.3
+++ kghostview/kpswidget.cpp	9 Apr 2003 23:17:42 -0000	1.2
@@ -513,8 +513,7 @@
         *_process <<
         // The following two lines are their to ensure that we are allowed to read _fileName
         "-dDELAYSAFER" << "-sInputFile="+_fileName << "-c" <<
-        "<< /PermitFileReading [ InputFile ] /PermitFileWriting [] /PermitFileControl [] >> setuserparams .locksafe" <<
-        "-";
+        "<< /PermitFileReading [ InputFile ] /PermitFileWriting [] /PermitFileControl [] >> setuserparams .locksafe";
     else
 	*_process << _fileName << "-c" << "quit";
 
@@ -580,8 +579,6 @@
     kdDebug(4500) << "KPSWidget: process exited" << endl;
     
     delete process;
-    if (process == _process)
-        _process = 0;
 }
 
 /**
--- kmrml/kmrml/Makefile.am	19 Jul 2003 13:30:35 -0000	1.1.1.2
+++ kmrml/kmrml/Makefile.am	19 Jul 2003 14:27:43 -0000	1.3
@@ -28,7 +28,7 @@
 servicemenudir = $(kde_datadir)/konqueror/servicemenus
 
 #############################################
-CLEANFILES = dummy.cpp
+CLEANFILES = mrmlsearch_main.cpp
 bin_PROGRAMS = mrmlsearch
 lib_LTLIBRARIES = mrmlsearch.la
 
@@ -36,9 +36,12 @@
 mrmlsearch_la_LDFLAGS = $(all_libraries) -module -avoid-version
 mrmlsearch_la_SOURCES = mrmlsearch.cpp
 
-mrmlsearch_SOURCES = dummy.cpp
-mrmlsearch_LDADD = mrmlsearch.la $(LIB_KDECORE)
+mrmlsearch_SOURCES = mrmlsearch_main.cpp
+mrmlsearch_LDADD   = $(LIB_KMRMLSTUFF) $(LIB_KDECORE)
 mrmlsearch_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+
+mrmlsearch_main.cpp: mrmlsearch.cpp
+	cat mrmlsearch.cpp > mrmlsearch_main.cpp
 
 messages:
 	$(EXTRACTRC) */*.ui > rc.cpp
--- kmrml/kmrml/server/Makefile.am	3 Mar 2003 02:53:03 -0000	1.1.1.2
+++ kmrml/kmrml/server/Makefile.am	3 Mar 2003 03:06:28 -0000	1.5
@@ -3,8 +3,8 @@
 INCLUDES = $(all_includes)
 kded_daemonwatcher_la_SOURCES = watcher.cpp watcher.skel
 # watcher.stub
-kded_daemonwatcher_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_daemonwatcher_la_LIBADD = $(LIB_KSYCOCA)
+kded_daemonwatcher_la_LDFLAGS = $(all_libraries) -module -avoid-version $(QT_LDFLAGS)
+kded_daemonwatcher_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDECORE) $(LIB_QT) $(LIB_KDEUI) -lDCOP -lkded_main
 
 METASOURCES = AUTO
 
--- kooka/configure.in.in	25 Jun 2002 02:40:34 -0000	1.1.1.1
+++ kooka/configure.in.in	6 May 2003 22:05:33 -0000	1.2
@@ -1,3 +1,4 @@
 dnl AC_SEARCH_LIBS(pgm2asc,Pgm2asc)
 dnl AC_CHECK_LIB(Pgm2asc,pgm2asc)
 dnl should define HAVE_LIBPGM2ASC if available
+DO_NOT_COMPILE="kooka $DO_NOT_COMPILE"
--- kpovmodeler/Makefile.am	29 Oct 2002 16:46:33 -0000	1.1.1.4
+++ kpovmodeler/Makefile.am	1 Jun 2003 14:31:58 -0000	1.7
@@ -4,7 +4,7 @@
 
 SUBDIRS = pics examples
 
-kde_module_LTLIBRARIES = libkpovmodelerpart.la
+kde_module_LTLIBRARIES = libkpovmodelerpart.la libkpovmodeler_shared.la kpovmodeler.la
 bin_PROGRAMS = kpovmodeler
 
 
@@ -83,7 +83,7 @@
 	pmrendermode.cpp pmresourcelocator.cpp pmtruetypecache.cpp \
 	pmdocumentationmap.cpp
 
-libkpovmodelerpart_la_SOURCES = $(pmallsources)
+libkpovmodeler_shared_la_SOURCES = $(pmallsources)
 
 noinst_HEADERS = pmpart.h pmfactory.h pmview.h pmshell.h pmobjectdrag.h \
 	pmtreeview.h pmtreeviewitem.h pmerrordialog.h \
@@ -159,13 +159,27 @@
 	\
 	version.h pmdocumentformat.h
 
-libkpovmodelerpart_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(KDE_PLUGIN) $(LIBFREETYPE_RPATH) 
-libkpovmodelerpart_la_LIBADD = $(LIBFREETYPE_LIBS) $(LIB_KPARTS) -lglut -lGLU -lGL -lXmu -lXi
-libkpovmodelerpart_la_METASOURCES = AUTO
+libkpovmodeler_shared_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIBFREETYPE_RPATH) -avoid-version -no-undefined
+libkpovmodeler_shared_la_LIBADD = $(LIBFREETYPE_LIBS) $(LIB_KPARTS) -lglut -lGLU -lGL -lXmu -lXi $(LIB_QT) $(LIB_KDECORE) -lkio -lkdeui
+libkpovmodeler_shared_la_METASOURCES = AUTO
+
+libkpovmodelerpart_la_SOURCES = libkpovmodelerpart_la_dummy.cpp
+libkpovmodelerpart_la_LDFLAGS = $(all_libraries) -avoid-version -module
+libkpovmodelerpart_la_LIBADD  = libkpovmodeler_shared.la
+
+libkpovmodelerpart_la_dummy.cpp:
+	echo > libkpovmodelerpart_la_dummy.cpp
+
+kpovmodeler_la_SOURCES = kpovmodeler_la_main.cpp
+kpovmodeler_la_LDFLAGS = $(all_libraries) -avoid-version -module
+kpovmodeler_la_LIBADD  = libkpovmodeler_shared.la
+
+kpovmodeler_la_main.cpp: main.cpp
+	cat main.cpp > kpovmodeler_la_main.cpp
 
 kpovmodeler_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 kpovmodeler_SOURCES = main.cpp
-kpovmodeler_LDADD = libkpovmodelerpart.la $(LIB_KFILE)
+kpovmodeler_LDADD = libkpovmodeler_shared.la
 
 #kpovmodeler_SOURCES = $(pmallsources) main.cpp
 #kpovmodeler_LDFLAGS = $(all_libraries) $(KDE_RPATH)
--- kpovmodeler/configure.in.in	10 Jul 2002 04:38:13 -0000	1.1.1.1
+++ kpovmodeler/configure.in.in	1 Jun 2003 14:31:58 -0000	1.2
@@ -20,7 +20,7 @@
 
 AC_SUBST(KPOVMODELER_OPENGL)
 
-KDE_FIND_PATH(freetype-config, FREETYPE_CONFIG, [${prefix}/bin ${exec_prefix}/bin /usr/local/bin /opt/local/bin])
+KDE_FIND_PATH(freetype-config, FREETYPE_CONFIG, [/usr/X11R6/bin ${prefix}/bin ${exec_prefix}/bin /usr/local/bin /opt/local/bin])
 
 if test -n "$FREETYPE_CONFIG"; then
   vers=`$FREETYPE_CONFIG --version 2>/dev/null | sed -e 's/libfreetype //' | awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
--- kruler/Makefile.am	29 Oct 2002 16:46:52 -0000	1.1.1.3
+++ kruler/Makefile.am	5 Nov 2002 21:40:59 -0000	1.2
@@ -11,10 +11,6 @@
 lnkdir = $(kde_appsdir)/Graphics/More
 lnk_DATA = kruler.desktop
 
-install-data-local: uninstall.desktop
-	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Graphics
-	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Graphics/kruler.desktop
-
 appdir = $(kde_datadir)/kruler
 app_DATA = eventsrc
 
--- ksnapshot/Makefile.am	10 Jul 2002 04:38:27 -0000	1.1.1.2
+++ ksnapshot/Makefile.am	5 Nov 2002 21:40:59 -0000	1.2
@@ -12,10 +12,6 @@
 lnkdir = $(kde_appsdir)/Graphics/More
 lnk_DATA = ksnapshot.desktop
 
-install-data-local: uninstall.desktop
-	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Graphics
-	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Graphics/ksnapshot.desktop
-
 KDE_ICON = ksnapshot
 
 EXTRA_DIST = $(lnk_DATA)
--- kuickshow/configure.in.in	10 Jul 2002 04:38:27 -0000	1.1.1.2
+++ kuickshow/configure.in.in	19 Oct 2002 21:02:42 -0000	1.2
@@ -26,6 +26,8 @@
     AC_MSG_RESULT($ac_imlib_config)
     LIB_IMLIB=`$ac_imlib_config --libs`
     AC_SUBST(LIB_IMLIB)
+    IMLIB_CFLAGS=`$ac_imlib_config --cflags`
+    AC_SUBST(IMLIB_CFLAGS)
   fi
 else
   ac_imlib_config=`which imlib-config 2>/dev/null`
--- kuickshow/src/Makefile.am	10 Jul 2002 04:38:37 -0000	1.1.1.2
+++ kuickshow/src/Makefile.am	1 Jun 2003 14:31:59 -0000	1.5
@@ -1,25 +1,33 @@
 ## Makefile.am for kuickshow
 
 bin_PROGRAMS = kuickshow
-lib_LTLIBRARIES = kuickshow.la
+lib_LTLIBRARIES = kuickshow.la libkuickshow_main.la
 
 # set the include path for X, qt and KDE
 INCLUDES = $(all_includes)
 KDE_CXXFLAGS = $(IMLIB_CFLAGS)
-CLEANFILES = dummy.cpp
+CLEANFILES = kuickshow_la_main.cpp
 METASOURCES = AUTO
 
-kuickshow_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kuickshow_la_LIBADD  = $(LIB_KDEPRINT) $(LIB_IMLIB)
-kuickshow_la_SOURCES =	kuickshow.cpp \
-	aboutwidget.cpp     generalwidget.cpp  kuickconfigdlg.cpp  main.cpp \
+libkuickshow_main_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkuickshow_main_la_LIBADD  = -lkdeprint $(LIB_IMLIB) $(LIB_KDECORE) \
+	$(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) $(LIB_KDEFX)
+libkuickshow_main_la_SOURCES =	kuickshow.cpp \
+	aboutwidget.cpp     generalwidget.cpp  kuickconfigdlg.cpp \
 	defaultswidget.cpp  imagewindow.cpp    kuickdata.cpp  \
 	imdata.cpp filefinder.cpp kurlwidget.cpp filewidget.cpp \
 	kuickio.cpp kuick.cpp imlibwidget.cpp slideshowwidget.cpp printing.cpp
 
+kuickshow_la_SOURCES = kuickshow_la_main.cpp
+kuickshow_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+kuickshow_la_LIBADD  = libkuickshow_main.la
+
+kuickshow_la_main.cpp: main.cpp
+	cat main.cpp > kuickshow_la_main.cpp
+
 # now the kuickshow binary
-kuickshow_LDADD = kuickshow.la $(LIB_KIO) $(LIB_IMLIB)
-kuickshow_SOURCES = dummy.cpp
+kuickshow_LDADD = libkuickshow_main.la
+kuickshow_SOURCES = main.cpp
 kuickshow_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 
--- kview/Makefile.am	29 Oct 2002 16:46:58 -0000	1.1.1.4
+++ kview/Makefile.am	29 Nov 2002 19:01:21 -0000	1.5
@@ -5,21 +5,28 @@
 METASOURCES = AUTO
 
 bin_PROGRAMS = kview
-lib_LTLIBRARIES = kview.la libkviewsupport.la
+lib_LTLIBRARIES = kview.la libkview_main.la libkviewsupport.la
 
 noinst_HEADERS = kview.h kpreferencesdialog.h kpreferencesmodule.h kpluginselector.h kviewconfmodules.h
 
 libkviewsupport_la_SOURCES = kpreferencesdialog.cpp kpreferencesmodule.cpp kpluginselector.cpp
-libkviewsupport_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 0:0
+libkviewsupport_la_LDFLAGS = $(all_libraries) -no-undefined -avoid-version
 libkviewsupport_la_LIBADD  = $(LIB_KDEUI)
 
-kview_SOURCES = dummy.cpp
+libkview_main_la_SOURCES = kviewconfmodules.cpp kview.cpp
+libkview_main_la_LDFLAGS = $(all_libraries) -no-undefined -avoid-version
+libkview_main_la_LIBADD  = libkviewsupport.la $(LIB_KPARTS) $(LIB_KIO)
+
+kview_SOURCES = kview_main.cpp
 kview_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kview_LDADD = kview.la
+kview_LDADD = libkview_main.la
+
+kview_main.cpp: main.cpp
+	cat main.cpp > kview_main.cpp
 
-kview_la_SOURCES = kviewconfmodules.cpp kview.cpp main.cpp
+kview_la_SOURCES = main.cpp
 kview_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -module -avoid-version
-kview_la_LIBADD = $(LIB_KPARTS) libkviewsupport.la
+kview_la_LIBADD = libkview_main.la
 
 lnkdir = $(kde_appsdir)/Graphics
 lnk_DATA = kview.desktop
--- kview/kviewviewer/Makefile.am	2 Oct 2002 23:48:00 -0000	1.1.1.3
+++ kview/kviewviewer/Makefile.am	29 Nov 2002 19:01:21 -0000	1.2
@@ -7,7 +7,7 @@
 
 libkviewviewer_la_SOURCES = imagesettings.cpp kviewkonqextension.cpp kviewviewer.cpp generalconfigwidget.ui confmodules.cpp
 libkviewviewer_la_LDFLAGS = $(all_libraries) -avoid-version -module -no-undefined
-libkviewviewer_la_LIBADD = $(LIB_KIO) $(LIB_KPARTS) $(LIB_KDEPRINT) $(top_builddir)/kview/libkviewsupport.la
+libkviewviewer_la_LIBADD = $(LIB_KIO) $(LIB_KPARTS) -lkdeprint $(top_builddir)/kview/libkviewsupport.la
 
 METASOURCES = AUTO
 
--- kviewshell/Makefile.am	29 Oct 2002 16:46:59 -0000	1.1.1.4
+++ kviewshell/Makefile.am	1 Jun 2003 14:31:59 -0000	1.8
@@ -19,8 +19,8 @@
 kviewerpart_la_LIBADD = ./libifaces.la $(LIB_KFILE) -lkparts
 
 libkmultipage_la_SOURCES = kmultipage.cpp centeringScrollview.cpp kmultipageInterface.skel
-libkmultipage_la_LDFLAGS = $(all_libraries)
-libkmultipage_la_LIBADD = $(LIB_KFILE) -lkparts
+libkmultipage_la_LDFLAGS = $(all_libraries) -avoid-version -no-undefined
+libkmultipage_la_LIBADD = $(LIB_KFILE) -lkparts -lDCOP $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 
 libkpagetest_la_SOURCES = kpagetest.cpp 
 libkpagetest_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
--- libkscan/configure.in.in	10 Jul 2002 04:38:45 -0000	1.1.1.2
+++ libkscan/configure.in.in	6 May 2003 22:05:33 -0000	1.2
@@ -21,3 +21,4 @@
 AC_SUBST(LIBSANE_LDFLAGS)
 AC_SUBST(LIBSANE_INCLUDES)
 
+DO_NOT_COMPILE="libkscan $DO_NOT_COMPILE"
